Lấy danh sách hóa đơn
GET /<provider>/get-invoices
API dùng để lấy danh sách hóa đơn điện tử.
Headers
| Name | Required | Description |
|---|---|---|
Authorization | ✅ | Bearer token_truy_cap |
Content-Type | ✅ | application/json |
X-Tax-Code | ✅ | Mã số thuế người bán. |
Query Parameters
| Name | Required | Description |
|---|---|---|
start | ✅ | Vị trí bắt đầu. (FPT, M-invoice, 1Invoice bắt đầu từ 0; Viettel bắt đầu từ 1). |
count | ✅ | Số lượng phần tử cần lấy. |
serial | Ký hiệu hóa đơn. (Bắt buộc với M-invoice, 1Invoice, Viettel). | |
from_date | ✅ | Từ ngày. |
to_date | ✅ | Đến ngày. |
stax | ✅ | Mã số thuế người bán. |
Response
| Name | Description |
|---|---|
data[].search_code | Mã để người dùng tra cứu hóa đơn |
data[].invoice_date | Ngày phát hành hóa đơn |
data[].seq | Số hóa đơn |
data[].tax_authority_code | Mã cơ quan thuế |
data[].buyer | Tên đơn vị |
data[].bname | Tên người mua |
data[].total_v | Tổng tiền bao gồm thuế |
data[].vat_v | Tiền thuế |
data[].serial | Ký hiệu hóa đơn |
data[].sid | Id hóa đơn |
data[].vpid | Id dùng để xem hóa đơn (nếu có) |
data[].status | Trạng thái hóa đơn |
data[].status_received | Trạng thái phản hồi CQT |
success | Trạng thái api |
total | Tổng số phần tử thỏa mãn điều kiện (FPT không có) |
message | Nội dung lỗi nếu có |
- cURL
- Response
curl --location 'https://stag-invoice-hub.atomsolution.vn/m-invoice/get-invoices?start=0&count=10&serial=1C25MTS&from_date=2025-05-01&to_date=2025-06-06&stax=0106026495-998' \
--header 'authorization: Bearer O87316arj5+Od3Fqyy5hzdBfIuPk73eKqpAzBSvv8sY=' \
--header 'x-tax-code: 0106026495-998'
{
"success": true,
"total": 10,
"data": [
{
"seq": 10,
"invoice_date": "2025-05-19T00:00:00",
"buyer": "trang",
"bname": "trang",
"total_v": 1100000,
"vat_v": 100000,
"status_received": 1,
"serial": "1C25MTS",
"search_code": "77C19987",
"status": 0,
"tax_authority_code": "M1-25-RV1DV-00000003194",
"sid": "3a19f963-dd71-5689-56ef-9ea75cd51e55"
}
],
"message": null
}